! This program normalized 1D cuts. The reference energy is subtracted.
PROGRAM Normalize_1D

USE Spline

IMPLICIT NONE

INTEGER         :: i
DOUBLE PRECISION :: Reference
TYPE (Spline1D) :: TestSpline

! Read the reference energy
OPEN( 100, FILE="REFERENCE", STATUS="OLD" )
READ(100, *) Reference
CLOSE( 100 )

! Read the data
OPEN( 100, FILE="FILE.1d", STATUS="OLD" )

READ(100, *) TestSpline%NX

CALL Allocate_Spline1D( TestSpline, TestSpline%NX )

DO i = 1, TestSpline%NX
  READ(100, *) TestSpline%X(i), TestSpline%F(i)
  TestSpline%F(i) = TestSpline%F(i) - Reference
END DO

CLOSE( 100 )

! Rewrite the data
OPEN( 100, FILE="FILE.1d", STATUS="unknown" )
WRITE(100, *) TestSpline%NX, " <- ndat"
DO i = 1, TestSpline%NX
  WRITE(100, "(F10.6,F18.10)") TestSpline%X(i), TestSpline%F(i)
END DO
CLOSE( 100 )

END PROGRAM

